innotop is not working: missing dependency on libterm-readkey-perl

Bug #1000605 reported by Jens on 2012-05-17
30
This bug affects 4 people
Affects Status Importance Assigned to Milestone
mysql-5.1 (Debian)
Fix Released
Unknown
mysql-5.5 (Ubuntu)
Medium
James Page
Precise
Medium
James Page
Quantal
Medium
James Page

Bug Description

[Impact]
innotop is not usable without installing the Suggests from the mysql-client-5.5 package; this is not intuitive and is confusing to users.

[Test Case]
sudo apt-get install mysql-client-5.5
innotop
Can't locate Term/ReadKey.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/bin/innotop line 1341.
BEGIN failed--compilation aborted at /usr/bin/innotop line 1341.

[Regression Potential]
Minimal - the change is simple to promote the Suggests to a Depends.

[Original Bug Report]
# innotop
Can't locate Term/ReadKey.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/bin/innotop line 1341.
BEGIN failed--compilation aborted at /usr/bin/innotop line 1341.

I guess the mysql-client package is missing some perl dependancies.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: mysql-client-5.5 5.5.22-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
Uname: Linux 3.2.0-24-generic x86_64
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
Date: Thu May 17 08:36:39 2012
Logs.var.log.daemon.log:

Logs.var.log.kern.log:

MySQLConf.etc.mysql.conf.d.mysqld.safe.syslog.cnf:
 [mysqld_safe]
 syslog
MySQLVarLibDirListing: ['performance_schema', 'froxlor', 'roundcube', 'debian-5.5.flag', 'ibdata1', 'mysql', 'mysql_upgrade_info', 'ib_logfile0', 'test', 'jbsql1', 'ib_logfile1']
ProcEnviron:
 TERM=xterm-color
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: mysql-5.5
UpgradeStatus: Upgraded to precise on 2012-05-04 (12 days ago)

Jens (jens-launchpad-net) wrote :
James Page (james-page) wrote :

Fetched 11.5 kB in 0s (72.3 kB/s)
Selecting previously unselected package mysql-client.
(Reading database ... 16790 files and directories currently installed.)
Unpacking mysql-client (from .../mysql-client_5.5.24-0ubuntu0.12.04.1_all.deb) ...
Setting up mysql-client (5.5.24-0ubuntu0.12.04.1) ...
(precise-amd64)root@hendrix:~# innotop
Can't locate Term/ReadKey.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/bin/innotop line 1341.
BEGIN failed--compilation aborted at /usr/bin/innotop line 1341.

James Page (james-page) wrote :

Confirmed

Installing:

 sudo apt-get install libterm-readkey-perl

Resolves this issue.

Changed in mysql-5.5 (Ubuntu):
status: New → Confirmed
Changed in mysql-5.5 (Ubuntu Precise):
status: New → Confirmed
Changed in mysql-5.5 (Ubuntu Quantal):
importance: Undecided → Medium
Changed in mysql-5.5 (Ubuntu Precise):
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in mysql-5.5 (Ubuntu Quantal):
status: Confirmed → Triaged
Changed in mysql-5.1 (Debian):
status: Unknown → Fix Released
James Page (james-page) wrote :

mysql-client-5.5 does "Suggests: libterm-readkey-perl"; I don't personally think this relationship is strong enough as innotop clearly does not function without this dependency.

James Page (james-page) wrote :

As the missing dependency is already a suggestion for mysql-client marking 'Won't Fix' for 12.04 - there are sufficient pointers to figure out what needs to be installed.

Changed in mysql-5.5 (Ubuntu Precise):
status: Triaged → Won't Fix
James Page (james-page) on 2012-09-03
Changed in mysql-5.5 (Ubuntu Precise):
status: Won't Fix → Triaged
James Page (james-page) on 2012-09-03
Changed in mysql-5.5 (Ubuntu Quantal):
assignee: nobody → James Page (james-page)
Jim Salter (jrssnet) wrote :

This is so NOT sufficient. It's - BROKEN.

If you don't want to include libterm-readkey-perl with mysql-server, then innotop should be broken OUT of mysql-server and made its own package... which includes libterm-readkey-perl.

The simple fact that people KEEP filing this bug over and over again (I've filed it myself) tells you that no, this is not "just fine the way it is." It's BROKEN, and should be fixed. Lord knows it isn't a particularly difficult fix to make, whether you choose to include libterm-readkey-perl as a dependency of mysql-server or simply break innotop itself out as a separate package.

James Page (james-page) wrote :

Hi Jim

I discussed in #ubuntu-server yesterday and came to the same conclusion (hence the switch back to 'Triaged' state for the 12.04 task).

An update will be targeted for both quantal and 12.04 to fix this problem.

James Page (james-page) on 2012-09-04
Changed in mysql-5.5 (Ubuntu Quantal):
status: Triaged → In Progress
James Page (james-page) on 2012-09-04
description: updated
Changed in mysql-5.5 (Ubuntu Precise):
status: Triaged → In Progress
assignee: nobody → James Page (james-page)
summary: - innotop is not working (misses Term/ReadKey.pm)
+ innotop is not working: missing dependency on libterm-readkey-perl
Jim Salter (jrssnet) wrote :

Thanks James.

dogmatic69 (dogmatic69) wrote :

I have had this issue and comment 3 sorted it out https://bugs.launchpad.net/ubuntu/+source/mysql-5.5/+bug/1000605/comments/3

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-5.5 - 5.5.27-0ubuntu2

---------------
mysql-5.5 (5.5.27-0ubuntu2) quantal; urgency=low

  * Fix mysqlhotcopy for databases containing views (LP: #1015033):
    - d/patches/fix-mysqlhotcopy.patch: Fix picked from upstream bug
      tracker which is included in mysql >= 5.6.
  * Enable use of native AIO (LP: #999766):
    - d/rules,control: BD on libaio-dev, Enable AIO flags during package
      build process.
  * Make innotop usable without installing Suggests (LP: #1000605):
    - d/control: Promote libterm-readkey-perl from Suggests to Depends.
 -- James Page <email address hidden> Fri, 07 Sep 2012 08:06:13 +0100

Changed in mysql-5.5 (Ubuntu Quantal):
status: In Progress → Fix Released
James Page (james-page) wrote :

Sorry - this dropped off my list.

Re-based on latest security updates and uploaded to precise-proposed for SRU team review.

Hello Jens, or anyone else affected,

Accepted mysql-5.5 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mysql-5.5/5.5.31-0ubuntu0.12.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mysql-5.5 (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Simon Déziel (sdeziel) on 2013-05-23
tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-5.5 - 5.5.31-0ubuntu0.12.04.2

---------------
mysql-5.5 (5.5.31-0ubuntu0.12.04.2) precise-proposed; urgency=low

  * Make innotop usable without installing Suggests (LP: #1000605):
    - d/control: Promote libterm-readkey-perl from Suggests to Depends.
 -- James Page <email address hidden> Wed, 22 May 2013 10:53:38 +0100

Changed in mysql-5.5 (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.